Bug 115 - LVM (not) started before modules loaded
: LVM (not) started before modules loaded
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/initscripts)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-10-26 18:09 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-10-26 18:09:07
В rc.sysinit запуск vgchange происходит после проверки наличия /proc/lvm. Это
происходит задолго до загрузки модулей. Так как в наших ядрах LVM живёт в
модуле, то в момент проверки ни о каком /proc/lvm не может быть и речи.
Соответсвенно никакие lv не цепляются. В качестве решения временно удалил
проверку на /proc/lvm. вроде всё работает. (но это конечно же не решение)
Может поставить modprobe lvm-mod перед этим местом?
---

---
------- Comment #1 From 2001-11-16 18:09:56 -------
Если добавть modprobe lvm-mod, то работает нормально?
------- Comment #2 From 2001-11-16 18:09:56 -------
Если добавть modprobe lvm-mod, то работает нормально?
------- Comment #3 From 2001-11-21 07:24:23 -------
Да, работает нормально.
------- Comment #4 From 2001-11-21 07:24:23 -------
Да, работает нормально.
------- Comment #5 From 2001-12-14 21:15:39 -------
Probably fixed in initscripts-5.49-ipl32mdk
------- Comment #6 From 2001-12-14 21:15:39 -------
Probably fixed in initscripts-5.49-ipl32mdk